{
  "$schema": "https://docs.renovatebot.com/renovate-schema.json",
  "extends": [
    "github>whitesource/merge-confidence:beta",
    "config:base",
    ":semanticCommits",
    ":semanticCommitTypeAll(refactor)",
    ":semanticCommitScopeDisabled"
  ],
  "prCreation": "not-pending",
  "timezone": "Europe/Berlin",
  "groupName": "all",
  "packageRules": [
    {
      "matchPackagePatterns": ["^@krlwlfrt"],
      "enabled": false
    },
    {
      "matchUpdateTypes": ["major"],
      "matchPackagePatterns": ["^@angular", "^@ionic", "^@types/node$", "^got$"],
      "enabled": false
    },
    {
      "matchPackagePatterns": ["^@types/geojson$"],
      "allowedVersions": "1.0.6"
    },
    {
      "matchPackagePatterns": ["^@elastic/elasticsearch$"],
      "allowedVersions": "<6.0"
    },
    {
      "matchPackagePatterns": ["^typedoc$"],
      "allowedVersions": "<0.23"
    },
    {
      "matchPackagePatterns": ["^typescript$"],
      "allowedVersions": "<4.5"
    },
    {
      "matchPackagePatterns": ["^chalk$"],
      "allowedVersions": "<5.0"
    },
    {
      "matchDepTypes": ["peerDependencies"],
      "rangeStrategy": "replace"
    }
  ],
  "lockFileMaintenance": {
    "enabled": true
  },
  "reviewers": ["abcdev", "jovankrunic", "theaninova"]
}
